Index: LMDZ6/branches/Amaury_dev/libf/phylmd/carbon_cycle_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/carbon_cycle_mod.F90	(revision 5117)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/carbon_cycle_mod.F90	(revision 5118)
@@ -1,31 +1,31 @@
 MODULE carbon_cycle_mod
-!=======================================================================
-!   Authors: Patricia Cadule and Laurent Fairhead
-!            base sur un travail anterieur mene par Patricia Cadule et Josefine Ghattas
-
-!  Purpose and description:
-!  -----------------------
-! Control module for the carbon CO2 tracers :
-!   - Initialisation of carbon cycle fields
-!   - Definition of fluxes to be exchanged
-
-! Rest of code is in tracco2i.F90
-
-! Le cas online/offline est defini par le flag carbon_cycle_cpl (y/n)
-! Le transport du traceur CO2 est defini par le flag carbon_cycle_tr (y/n)
-! la provenance des champs (termes de puits) est denini par le flag level_coupling_esm
-
-! level_coupling_esm : level of coupling of the biogeochemical fields between
-! LMDZ, ORCHIDEE and NEMO
-! Definitions of level_coupling_esm in physiq.def
-! level_coupling_esm = 0  ! No field exchange between LMDZ and ORCHIDEE models
-!                         ! No field exchange between LMDZ and NEMO
-! level_coupling_esm = 1  ! Field exchange between LMDZ and ORCHIDEE models
-!                         ! No field exchange between LMDZ and NEMO models
-! level_coupling_esm = 2  ! No field exchange between LMDZ and ORCHIDEE models
-!                         ! Field exchange between LMDZ and NEMO models
-! level_coupling_esm = 3  ! Field exchange between LMDZ and ORCHIDEE models
-!                         ! Field exchange between LMDZ and NEMO models
-!=======================================================================
+  !=======================================================================
+  !   Authors: Patricia Cadule and Laurent Fairhead
+  !            base sur un travail anterieur mene par Patricia Cadule et Josefine Ghattas
+
+  !  Purpose and description:
+  !  -----------------------
+  ! Control module for the carbon CO2 tracers :
+  !   - Initialisation of carbon cycle fields
+  !   - Definition of fluxes to be exchanged
+
+  ! Rest of code is in tracco2i.F90
+
+  ! Le cas online/offline est defini par le flag carbon_cycle_cpl (y/n)
+  ! Le transport du traceur CO2 est defini par le flag carbon_cycle_tr (y/n)
+  ! la provenance des champs (termes de puits) est denini par le flag level_coupling_esm
+
+  ! level_coupling_esm : level of coupling of the biogeochemical fields between
+  ! LMDZ, ORCHIDEE and NEMO
+  ! Definitions of level_coupling_esm in physiq.def
+  ! level_coupling_esm = 0  ! No field exchange between LMDZ and ORCHIDEE models
+  !                         ! No field exchange between LMDZ and NEMO
+  ! level_coupling_esm = 1  ! Field exchange between LMDZ and ORCHIDEE models
+  !                         ! No field exchange between LMDZ and NEMO models
+  ! level_coupling_esm = 2  ! No field exchange between LMDZ and ORCHIDEE models
+  !                         ! Field exchange between LMDZ and NEMO models
+  ! level_coupling_esm = 3  ! Field exchange between LMDZ and ORCHIDEE models
+  !                         ! Field exchange between LMDZ and NEMO models
+  !=======================================================================
 
   IMPLICIT NONE
@@ -34,187 +34,187 @@
   PUBLIC :: carbon_cycle_init, infocfields_init
 
-! Variables read from parmeter file physiq.def
+  ! Variables read from parmeter file physiq.def
   LOGICAL, PUBLIC :: carbon_cycle_cpl       ! Coupling of CO2 fluxes between LMDZ/ORCHIDEE and LMDZ/OCEAN(PISCES) 
-!$OMP THREADPRIVATE(carbon_cycle_cpl)
+  !$OMP THREADPRIVATE(carbon_cycle_cpl)
   LOGICAL, PUBLIC :: carbon_cycle_tr        ! 3D transport of CO2 in the atmosphere, parameter read in conf_phys
-!$OMP THREADPRIVATE(carbon_cycle_tr)
+  !$OMP THREADPRIVATE(carbon_cycle_tr)
   LOGICAL, PUBLIC :: carbon_cycle_rad       ! flag to activate CO2 interactive radiatively 
-!$OMP THREADPRIVATE(carbon_cycle_rad)
+  !$OMP THREADPRIVATE(carbon_cycle_rad)
   INTEGER, PUBLIC :: level_coupling_esm     ! Level of coupling for the ESM - 0, 1, 2, 3
-!$OMP THREADPRIVATE(level_coupling_esm)
+  !$OMP THREADPRIVATE(level_coupling_esm)
   LOGICAL, PUBLIC :: read_fco2_ocean_cor    ! flag to read corrective oceanic CO2 flux
-!$OMP THREADPRIVATE(read_fco2_ocean_cor)  
+  !$OMP THREADPRIVATE(read_fco2_ocean_cor)
   REAL, PUBLIC :: var_fco2_ocean_cor        ! corrective oceanic CO2 flux
-!$OMP THREADPRIVATE(var_fco2_ocean_cor)
+  !$OMP THREADPRIVATE(var_fco2_ocean_cor)
   REAL, PUBLIC :: ocean_area_tot            ! total oceanic area to convert flux
-!$OMP THREADPRIVATE(ocean_area_tot)
+  !$OMP THREADPRIVATE(ocean_area_tot)
   LOGICAL, PUBLIC :: read_fco2_land_cor     ! flag to read corrective land CO2 flux
-!$OMP THREADPRIVATE(read_fco2_land_cor)  
+  !$OMP THREADPRIVATE(read_fco2_land_cor)
   REAL, PUBLIC :: var_fco2_land_cor         ! corrective land CO2 flux
-!$OMP THREADPRIVATE(var_fco2_land_cor)
+  !$OMP THREADPRIVATE(var_fco2_land_cor)
   REAL, PUBLIC :: land_area_tot             ! total land area to convert flux
-!$OMP THREADPRIVATE(land_area_tot)
+  !$OMP THREADPRIVATE(land_area_tot)
 
   REAL, PUBLIC :: RCO2_glo
-!$OMP THREADPRIVATE(RCO2_glo)
+  !$OMP THREADPRIVATE(RCO2_glo)
   REAL, PUBLIC :: RCO2_tot
-!$OMP THREADPRIVATE(RCO2_tot)
-
-  LOGICAL :: carbon_cycle_emis_comp_omp=.FALSE.
-  LOGICAL :: carbon_cycle_emis_comp=.FALSE. ! Calculation of emission compatible
-!$OMP THREADPRIVATE(carbon_cycle_emis_comp)
+  !$OMP THREADPRIVATE(RCO2_tot)
+
+  LOGICAL :: carbon_cycle_emis_comp_omp = .FALSE.
+  LOGICAL :: carbon_cycle_emis_comp = .FALSE. ! Calculation of emission compatible
+  !$OMP THREADPRIVATE(carbon_cycle_emis_comp)
 
   LOGICAL :: RCO2_inter_omp
   LOGICAL :: RCO2_inter  ! RCO2 interactive : if true calculate new value RCO2 for the radiation scheme
-!$OMP THREADPRIVATE(RCO2_inter)
-
-! Scalare values when no transport, from physiq.def
+  !$OMP THREADPRIVATE(RCO2_inter)
+
+  ! Scalare values when no transport, from physiq.def
   REAL :: fos_fuel_s_omp
   REAL :: fos_fuel_s  ! carbon_cycle_fos_fuel dans physiq.def
-!$OMP THREADPRIVATE(fos_fuel_s)
+  !$OMP THREADPRIVATE(fos_fuel_s)
   REAL :: emis_land_s ! not yet implemented
-!$OMP THREADPRIVATE(emis_land_s)
+  !$OMP THREADPRIVATE(emis_land_s)
 
   REAL :: airetot     ! Total area of the earth surface
-!$OMP THREADPRIVATE(airetot)
+  !$OMP THREADPRIVATE(airetot)
 
   INTEGER :: ntr_co2  ! Number of tracers concerning the carbon cycle
-!$OMP THREADPRIVATE(ntr_co2)
-
-! fco2_ocn_day : flux CO2 from ocean for 1 day (cumulated) [gC/m2/d]. Allocation and initalization done in cpl_mod
-  REAL, DIMENSION(:), ALLOCATABLE, PUBLIC :: fco2_ocn_day 
-!$OMP THREADPRIVATE(fco2_ocn_day)
+  !$OMP THREADPRIVATE(ntr_co2)
+
+  ! fco2_ocn_day : flux CO2 from ocean for 1 day (cumulated) [gC/m2/d]. Allocation and initalization done in cpl_mod
+  REAL, DIMENSION(:), ALLOCATABLE, PUBLIC :: fco2_ocn_day
+  !$OMP THREADPRIVATE(fco2_ocn_day)
 
   REAL, DIMENSION(:), ALLOCATABLE :: fco2_land_day   ! flux CO2 from land for 1 day (cumulated)  [gC/m2/d]
-!$OMP THREADPRIVATE(fco2_land_day)
+  !$OMP THREADPRIVATE(fco2_land_day)
   REAL, DIMENSION(:), ALLOCATABLE :: fco2_lu_day     ! Emission from land use change for 1 day (cumulated) [gC/m2/d]
-!$OMP THREADPRIVATE(fco2_lu_day)
+  !$OMP THREADPRIVATE(fco2_lu_day)
   REAL, DIMENSION(:), ALLOCATABLE, PUBLIC :: fco2_ff ! Emission from fossil fuel [kgCO2/m2/s]
-!$OMP THREADPRIVATE(fco2_ff)
+  !$OMP THREADPRIVATE(fco2_ff)
   REAL, DIMENSION(:), ALLOCATABLE, PUBLIC :: fco2_bb ! Emission from biomass burning [kgCO2/m2/s]
-!$OMP THREADPRIVATE(fco2_bb)
+  !$OMP THREADPRIVATE(fco2_bb)
   REAL, DIMENSION(:), ALLOCATABLE, PUBLIC :: fco2_land  ! Net flux from terrestrial ecocsystems [kgCO2/m2/s]
-!$OMP THREADPRIVATE(fco2_land)
+  !$OMP THREADPRIVATE(fco2_land)
   REAL, DIMENSION(:), ALLOCATABLE, PUBLIC :: fco2_land_nbp  ! Net flux from terrestrial ecocsystems [kgCO2/m2/s]
-!$OMP THREADPRIVATE(fco2_land_nbp)
+  !$OMP THREADPRIVATE(fco2_land_nbp)
   REAL, DIMENSION(:), ALLOCATABLE, PUBLIC :: fco2_land_nep  ! Net flux from terrestrial ecocsystems [kgCO2/m2/s]
-!$OMP THREADPRIVATE(fco2_land_nep)
+  !$OMP THREADPRIVATE(fco2_land_nep)
   REAL, DIMENSION(:), ALLOCATABLE, PUBLIC :: fco2_land_fLuc  ! Net flux from terrestrial ecocsystems [kgCO2/m2/s]
-!$OMP THREADPRIVATE(fco2_land_fLuc)
+  !$OMP THREADPRIVATE(fco2_land_fLuc)
   REAL, DIMENSION(:), ALLOCATABLE, PUBLIC :: fco2_land_fwoodharvest  ! Net flux from terrestrial ecocsystems [kgCO2/m2/s]
-!$OMP THREADPRIVATE(fco2_land_fwoodharvest)
+  !$OMP THREADPRIVATE(fco2_land_fwoodharvest)
   REAL, DIMENSION(:), ALLOCATABLE, PUBLIC :: fco2_land_fHarvest  ! Net flux from terrestrial ecocsystems [kgCO2/m2/s]
-!$OMP THREADPRIVATE(fco2_land_fHarvest)
+  !$OMP THREADPRIVATE(fco2_land_fHarvest)
   REAL, DIMENSION(:), ALLOCATABLE, PUBLIC :: fco2_ocean ! Net flux from ocean [kgCO2/m2/s]
-!$OMP THREADPRIVATE(fco2_ocean)
+  !$OMP THREADPRIVATE(fco2_ocean)
   REAL, DIMENSION(:), ALLOCATABLE, PUBLIC :: fco2_ocean_cor ! Net corrective flux from ocean [kgCO2/m2/s]
-!$OMP THREADPRIVATE(fco2_ocean_cor)
+  !$OMP THREADPRIVATE(fco2_ocean_cor)
   REAL, DIMENSION(:), ALLOCATABLE, PUBLIC :: fco2_land_cor  ! Net corrective flux from land [kgCO2/m2/s]
-!$OMP THREADPRIVATE(fco2_land_cor)
-
-  REAL, DIMENSION(:,:), ALLOCATABLE :: dtr_add       ! Tracer concentration to be injected 
-!$OMP THREADPRIVATE(dtr_add)
-
-! Following 2 fields will be allocated and initialized in surf_land_orchidee
+  !$OMP THREADPRIVATE(fco2_land_cor)
+
+  REAL, DIMENSION(:, :), ALLOCATABLE :: dtr_add       ! Tracer concentration to be injected
+  !$OMP THREADPRIVATE(dtr_add)
+
+  ! Following 2 fields will be allocated and initialized in surf_land_orchidee
   REAL, DIMENSION(:), ALLOCATABLE, PUBLIC :: fco2_land_inst  ! flux CO2 from land at one time step
-!$OMP THREADPRIVATE(fco2_land_inst)
+  !$OMP THREADPRIVATE(fco2_land_inst)
   REAL, DIMENSION(:), ALLOCATABLE, PUBLIC :: fco2_lu_inst    ! Emission from land use change at one time step
-!$OMP THREADPRIVATE(fco2_lu_inst)
-
-! Calculated co2 field to be send to the ocean via the coupler and to ORCHIDEE 
+  !$OMP THREADPRIVATE(fco2_lu_inst)
+
+  ! Calculated co2 field to be send to the ocean via the coupler and to ORCHIDEE
   REAL, DIMENSION(:), ALLOCATABLE, PUBLIC :: co2_send ! Field allocated in phyetat0
-!$OMP THREADPRIVATE(co2_send)
-
-  INTEGER, PARAMETER, PUBLIC :: id_CO2=1              !--temporaire OB -- to be changed
-
-! nbfields : total number of fields 
+  !$OMP THREADPRIVATE(co2_send)
+
+  INTEGER, PARAMETER, PUBLIC :: id_CO2 = 1              !--temporaire OB -- to be changed
+
+  ! nbfields : total number of fields
   INTEGER, PUBLIC :: nbcf
-!$OMP THREADPRIVATE(nbcf)
-
-! nbcf_in : number of fields IN
-  INTEGER, PUBLIC  :: nbcf_in
-!$OMP THREADPRIVATE(nbcf_in)
-
-! nbcf_in_orc : number of fields IN 
-  INTEGER, PUBLIC  :: nbcf_in_orc
-!$OMP THREADPRIVATE(nbcf_in_orc)
-
-! nbcf_in_inca : number of fields IN (from INCA)
-  INTEGER, PUBLIC  :: nbcf_in_inca
-!$OMP THREADPRIVATE(nbcf_in_inca)
-
-! nbcf_in_nemo : number of fields IN (from nemo)
-  INTEGER, PUBLIC  :: nbcf_in_nemo
-!$OMP THREADPRIVATE(nbcf_in_nemo)
-
-! nbcf_in_ant : number of fields IN (from anthropogenic sources)
-  INTEGER, PUBLIC  :: nbcf_in_ant
-!$OMP THREADPRIVATE(nbcf_in_ant)
-
-! nbcf_out : number of fields OUT
+  !$OMP THREADPRIVATE(nbcf)
+
+  ! nbcf_in : number of fields IN
+  INTEGER, PUBLIC :: nbcf_in
+  !$OMP THREADPRIVATE(nbcf_in)
+
+  ! nbcf_in_orc : number of fields IN
+  INTEGER, PUBLIC :: nbcf_in_orc
+  !$OMP THREADPRIVATE(nbcf_in_orc)
+
+  ! nbcf_in_inca : number of fields IN (from INCA)
+  INTEGER, PUBLIC :: nbcf_in_inca
+  !$OMP THREADPRIVATE(nbcf_in_inca)
+
+  ! nbcf_in_nemo : number of fields IN (from nemo)
+  INTEGER, PUBLIC :: nbcf_in_nemo
+  !$OMP THREADPRIVATE(nbcf_in_nemo)
+
+  ! nbcf_in_ant : number of fields IN (from anthropogenic sources)
+  INTEGER, PUBLIC :: nbcf_in_ant
+  !$OMP THREADPRIVATE(nbcf_in_ant)
+
+  ! nbcf_out : number of fields OUT
   INTEGER, PUBLIC :: nbcf_out
-!$OMP THREADPRIVATE(nbcf_out)
-
-! Name of variables
-  CHARACTER(len=25), ALLOCATABLE, DIMENSION(:), PUBLIC :: cfname     ! coupling field short name for restart (?) and diagnostics
-!$OMP THREADPRIVATE(cfname)
-
-  CHARACTER(len=25), ALLOCATABLE, DIMENSION(:), PUBLIC :: cfname_in  ! coupling field short name for restart (?) and diagnostics
-!$OMP THREADPRIVATE(cfname_in)
-
-  CHARACTER(len=25), ALLOCATABLE, DIMENSION(:), PUBLIC :: cfname_out ! coupling field short name for restart (?) and diagnostics
-!$OMP THREADPRIVATE(cfname_out)
-
-  CHARACTER(len=15), ALLOCATABLE, DIMENSION(:), PUBLIC :: cfunits_in  !  coupling field units for diagnostics
-!$OMP THREADPRIVATE(cfunits_in)
-
-  CHARACTER(len=15), ALLOCATABLE, DIMENSION(:), PUBLIC :: cfunits_out !  coupling field units for diagnostics
-!$OMP THREADPRIVATE(cfunits_out)
-
-  CHARACTER(len=120), ALLOCATABLE, DIMENSION(:), PUBLIC :: cftext_in  ! coupling field long name for diagnostics
-!$OMP THREADPRIVATE(cftext_in)
-
-  CHARACTER(len=120), ALLOCATABLE, DIMENSION(:), PUBLIC :: cftext_out ! coupling field long name for diagnostics
-!$OMP THREADPRIVATE(cftext_out)
-
-  CHARACTER(len=5), ALLOCATABLE, DIMENSION(:), PUBLIC :: cfmod1 ! model 1 (rreference) : LMDz
-!$OMP THREADPRIVATE(cfmod1)
-
-  CHARACTER(len=5), ALLOCATABLE, DIMENSION(:), PUBLIC :: cfmod2 ! model 2
-!$OMP THREADPRIVATE(cfmod2)
-
-  CHARACTER(LEN=20), ALLOCATABLE, DIMENSION(:), PUBLIC :: field_out_names
-!$OMP THREADPRIVATE(field_out_names)
-
-  CHARACTER(LEN=20), ALLOCATABLE, DIMENSION(:), PUBLIC :: field_in_names
-!$OMP THREADPRIVATE(field_in_names)
-
-  REAL, ALLOCATABLE, DIMENSION(:,:), PUBLIC :: fields_in   !  klon,nbcf_in
-!$OMP THREADPRIVATE(fields_in)
-
-  REAL, ALLOCATABLE, DIMENSION(:,:), PUBLIC :: yfields_in  !  knon,nbcf_in
-!$OMP THREADPRIVATE(yfields_in)
-
-  REAL, ALLOCATABLE, DIMENSION(:,:), PUBLIC :: fields_out  !  klon,nbcf_out
-!$OMP THREADPRIVATE(fields_out)
-
-  REAL, ALLOCATABLE, DIMENSION(:,:), PUBLIC :: yfields_out !  knon,nbcf_out
-!$OMP THREADPRIVATE(yfields_out)
+  !$OMP THREADPRIVATE(nbcf_out)
+
+  ! Name of variables
+  CHARACTER(len = 25), ALLOCATABLE, DIMENSION(:), PUBLIC :: cfname     ! coupling field short name for restart (?) and diagnostics
+  !$OMP THREADPRIVATE(cfname)
+
+  CHARACTER(len = 25), ALLOCATABLE, DIMENSION(:), PUBLIC :: cfname_in  ! coupling field short name for restart (?) and diagnostics
+  !$OMP THREADPRIVATE(cfname_in)
+
+  CHARACTER(len = 25), ALLOCATABLE, DIMENSION(:), PUBLIC :: cfname_out ! coupling field short name for restart (?) and diagnostics
+  !$OMP THREADPRIVATE(cfname_out)
+
+  CHARACTER(len = 15), ALLOCATABLE, DIMENSION(:), PUBLIC :: cfunits_in  !  coupling field units for diagnostics
+  !$OMP THREADPRIVATE(cfunits_in)
+
+  CHARACTER(len = 15), ALLOCATABLE, DIMENSION(:), PUBLIC :: cfunits_out !  coupling field units for diagnostics
+  !$OMP THREADPRIVATE(cfunits_out)
+
+  CHARACTER(len = 120), ALLOCATABLE, DIMENSION(:), PUBLIC :: cftext_in  ! coupling field long name for diagnostics
+  !$OMP THREADPRIVATE(cftext_in)
+
+  CHARACTER(len = 120), ALLOCATABLE, DIMENSION(:), PUBLIC :: cftext_out ! coupling field long name for diagnostics
+  !$OMP THREADPRIVATE(cftext_out)
+
+  CHARACTER(len = 5), ALLOCATABLE, DIMENSION(:), PUBLIC :: cfmod1 ! model 1 (rreference) : LMDz
+  !$OMP THREADPRIVATE(cfmod1)
+
+  CHARACTER(len = 5), ALLOCATABLE, DIMENSION(:), PUBLIC :: cfmod2 ! model 2
+  !$OMP THREADPRIVATE(cfmod2)
+
+  CHARACTER(LEN = 20), ALLOCATABLE, DIMENSION(:), PUBLIC :: field_out_names
+  !$OMP THREADPRIVATE(field_out_names)
+
+  CHARACTER(LEN = 20), ALLOCATABLE, DIMENSION(:), PUBLIC :: field_in_names
+  !$OMP THREADPRIVATE(field_in_names)
+
+  REAL, ALLOCATABLE, DIMENSION(:, :), PUBLIC :: fields_in   !  klon,nbcf_in
+  !$OMP THREADPRIVATE(fields_in)
+
+  REAL, ALLOCATABLE, DIMENSION(:, :), PUBLIC :: yfields_in  !  knon,nbcf_in
+  !$OMP THREADPRIVATE(yfields_in)
+
+  REAL, ALLOCATABLE, DIMENSION(:, :), PUBLIC :: fields_out  !  klon,nbcf_out
+  !$OMP THREADPRIVATE(fields_out)
+
+  REAL, ALLOCATABLE, DIMENSION(:, :), PUBLIC :: yfields_out !  knon,nbcf_out
+  !$OMP THREADPRIVATE(yfields_out)
 
   TYPE, PUBLIC :: co2_trac_type
-     CHARACTER(len = 8) :: name       ! Tracer name in tracer.def
-     INTEGER            :: id         ! Index in total tracer list, tr_seri
-     CHARACTER(len=30)  :: file       ! File name
-     LOGICAL            :: cpl        ! True if this tracers is coupled from ORCHIDEE or PISCES. 
-                                      ! False if read from file.
-     INTEGER            :: updatefreq ! Frequence to inject in second
-     INTEGER            :: readstep   ! Actual time step to read in file
-     LOGICAL            :: updatenow  ! True if this tracer should be updated this time step
+    CHARACTER(len = 8) :: name       ! Tracer name in tracer.def
+    INTEGER :: id         ! Index in total tracer list, tr_seri
+    CHARACTER(len = 30) :: file       ! File name
+    LOGICAL :: cpl        ! True if this tracers is coupled from ORCHIDEE or PISCES.
+    ! False if read from file.
+    INTEGER :: updatefreq ! Frequence to inject in second
+    INTEGER :: readstep   ! Actual time step to read in file
+    LOGICAL :: updatenow  ! True if this tracer should be updated this time step
   END TYPE co2_trac_type
-  INTEGER,PARAMETER :: maxco2trac=5  ! Maximum number of different CO2 fluxes
+  INTEGER, PARAMETER :: maxco2trac = 5  ! Maximum number of different CO2 fluxes
   TYPE(co2_trac_type), DIMENSION(maxco2trac) :: co2trac
 
 CONTAINS
-  
+
   SUBROUTINE carbon_cycle_init()
     ! This SUBROUTINE is called from tracco2i_init, which is called from phytrac_init only at first timestep.
@@ -228,44 +228,44 @@
     IMPLICIT NONE
     INCLUDE "clesphys.h"
- 
-! Local variables
-    INTEGER               :: ierr
+
+    ! Local variables
+    INTEGER :: ierr
 
     IF (carbon_cycle_cpl) THEN
 
-       ierr=0
-
-       IF (.NOT.ALLOCATED(fco2_land)) ALLOCATE(fco2_land(klon), stat=ierr)
-       IF (ierr /= 0) CALL abort_physic('carbon_cycle_init', 'pb in allocation fco2_land',1)
-
-       IF (.NOT.ALLOCATED(fco2_land_nbp)) ALLOCATE(fco2_land_nbp(klon), stat=ierr)
-       IF (ierr /= 0) CALL abort_physic('carbon_cycle_init', 'pb in allocation fco2_land_nbp',1)
-
-       IF (.NOT.ALLOCATED(fco2_land_nep)) ALLOCATE(fco2_land_nep(klon), stat=ierr)
-       IF (ierr /= 0) CALL abort_physic('carbon_cycle_init', 'pb in allocation fco2_land_nep',1)
-
-       IF (.NOT.ALLOCATED(fco2_land_fLuc)) ALLOCATE(fco2_land_fLuc(klon), stat=ierr)
-       IF (ierr /= 0) CALL abort_physic('carbon_cycle_init', 'pb in allocation fco2_land_fLuc',1)
-
-       IF (.NOT.ALLOCATED(fco2_land_fwoodharvest)) ALLOCATE(fco2_land_fwoodharvest(klon), stat=ierr)
-       IF (ierr /= 0) CALL abort_physic('carbon_cycle_init', 'pb in allocation fco2_land_fwoodharvest',1)
-
-       IF (.NOT.ALLOCATED(fco2_land_fHarvest)) ALLOCATE(fco2_land_fHarvest(klon), stat=ierr)
-       IF (ierr /= 0) CALL abort_physic('carbon_cycle_init', 'pb in allocation fco2_land_fHarvest',1)
-
-       IF (.NOT.ALLOCATED(fco2_ff)) ALLOCATE(fco2_ff(klon), stat=ierr)
-       IF (ierr /= 0) CALL abort_physic('carbon_cycle_init', 'pb in allocation fco2_ff',1)
-
-       IF (.NOT.ALLOCATED(fco2_bb)) ALLOCATE(fco2_bb(klon), stat=ierr)
-       IF (ierr /= 0) CALL abort_physic('carbon_cycle_init', 'pb in allocation fco2_bb',1)
-
-       IF (.NOT.ALLOCATED(fco2_ocean)) ALLOCATE(fco2_ocean(klon), stat=ierr)
-       IF (ierr /= 0) CALL abort_physic('carbon_cycle_init', 'pb in allocation fco2_ocean',1)
-
-       IF (.NOT.ALLOCATED(fco2_ocean_cor)) ALLOCATE(fco2_ocean_cor(klon), stat=ierr)
-       IF (ierr /= 0) CALL abort_physic('carbon_cycle_init', 'pb in allocation fco2_ocean_cor',1)
-
-       IF (.NOT.ALLOCATED(fco2_land_cor)) ALLOCATE(fco2_land_cor(klon), stat=ierr)
-       IF (ierr /= 0) CALL abort_physic('carbon_cycle_init', 'pb in allocation fco2_land_cor',1)
+      ierr = 0
+
+      IF (.NOT.ALLOCATED(fco2_land)) ALLOCATE(fco2_land(klon), stat = ierr)
+      IF (ierr /= 0) CALL abort_physic('carbon_cycle_init', 'pb in allocation fco2_land', 1)
+
+      IF (.NOT.ALLOCATED(fco2_land_nbp)) ALLOCATE(fco2_land_nbp(klon), stat = ierr)
+      IF (ierr /= 0) CALL abort_physic('carbon_cycle_init', 'pb in allocation fco2_land_nbp', 1)
+
+      IF (.NOT.ALLOCATED(fco2_land_nep)) ALLOCATE(fco2_land_nep(klon), stat = ierr)
+      IF (ierr /= 0) CALL abort_physic('carbon_cycle_init', 'pb in allocation fco2_land_nep', 1)
+
+      IF (.NOT.ALLOCATED(fco2_land_fLuc)) ALLOCATE(fco2_land_fLuc(klon), stat = ierr)
+      IF (ierr /= 0) CALL abort_physic('carbon_cycle_init', 'pb in allocation fco2_land_fLuc', 1)
+
+      IF (.NOT.ALLOCATED(fco2_land_fwoodharvest)) ALLOCATE(fco2_land_fwoodharvest(klon), stat = ierr)
+      IF (ierr /= 0) CALL abort_physic('carbon_cycle_init', 'pb in allocation fco2_land_fwoodharvest', 1)
+
+      IF (.NOT.ALLOCATED(fco2_land_fHarvest)) ALLOCATE(fco2_land_fHarvest(klon), stat = ierr)
+      IF (ierr /= 0) CALL abort_physic('carbon_cycle_init', 'pb in allocation fco2_land_fHarvest', 1)
+
+      IF (.NOT.ALLOCATED(fco2_ff)) ALLOCATE(fco2_ff(klon), stat = ierr)
+      IF (ierr /= 0) CALL abort_physic('carbon_cycle_init', 'pb in allocation fco2_ff', 1)
+
+      IF (.NOT.ALLOCATED(fco2_bb)) ALLOCATE(fco2_bb(klon), stat = ierr)
+      IF (ierr /= 0) CALL abort_physic('carbon_cycle_init', 'pb in allocation fco2_bb', 1)
+
+      IF (.NOT.ALLOCATED(fco2_ocean)) ALLOCATE(fco2_ocean(klon), stat = ierr)
+      IF (ierr /= 0) CALL abort_physic('carbon_cycle_init', 'pb in allocation fco2_ocean', 1)
+
+      IF (.NOT.ALLOCATED(fco2_ocean_cor)) ALLOCATE(fco2_ocean_cor(klon), stat = ierr)
+      IF (ierr /= 0) CALL abort_physic('carbon_cycle_init', 'pb in allocation fco2_ocean_cor', 1)
+
+      IF (.NOT.ALLOCATED(fco2_land_cor)) ALLOCATE(fco2_land_cor(klon), stat = ierr)
+      IF (ierr /= 0) CALL abort_physic('carbon_cycle_init', 'pb in allocation fco2_land_cor', 1)
 
     ENDIF
@@ -275,5 +275,5 @@
   SUBROUTINE infocfields_init
 
-!    USE control_mod, ONLY: planet_type
+    !    USE control_mod, ONLY: planet_type
     USE phys_cal_mod, ONLY: mth_cur
     USE mod_synchro_omp
